## vdr-plugin-prefermenu 0.6.4

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id$

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.
#
PLUGIN = prefermenu

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).h | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The C++ compiler and options:

CXX      ?= g++
CXXFLAGS ?= -O2 -Wall -Woverloaded-virtual

### The directory environment:

DVBDIR = ../../../../DVB
VDRDIR = ../../..
LIBDIR = ../../lib
TMPDIR = /tmp

### Allow user defined options to overwrite defaults:

-include $(VDRDIR)/Make.config

### The version number of VDR (taken from VDR's "config.h"):

VDRVERSION = $(shell grep 'define VDRVERSION ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### Includes and Defines (add further entries here):

INCLUDES += -I$(VDRDIR)/include -I$(DVBDIR)/include

ifdef DEBUG
DEFINES += -DDEBUG
endif

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o preferosd.o prefersetup.o preferchannel.o i18n.o

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

# Dependencies:

MAKEDEP = g++ -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

all: libvdr-$(PLUGIN).so

libvdr-$(PLUGIN).so: $(OBJS)
	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
	@cp $@ $(LIBDIR)/$@.$(VDRVERSION)

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

## vdr-plugin-prefermenu 0.6.6

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,6 @@
 
 ### The directory environment:
 
-DVBDIR = ../../../../DVB
 VDRDIR = ../../..
 LIBDIR = ../../lib
 TMPDIR = /tmp
@@ -29,9 +28,9 @@
 
 -include $(VDRDIR)/Make.config
 
-### The version number of VDR (taken from VDR's "config.h"):
+### The version number of VDR's plugin API (taken from VDR's "config.h"):
 
-VDRVERSION = $(shell grep 'define VDRVERSION ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')
+APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
 
 ### The name of the distribution archive:
 
@@ -40,7 +39,7 @@
 
 ### Includes and Defines (add further entries here):
 
-INCLUDES += -I$(VDRDIR)/include -I$(DVBDIR)/include
+INCLUDES += -I$(VDRDIR)/include
 
 ifdef DEBUG
 DEFINES += -DDEBUG
@@ -72,7 +71,7 @@
 
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
-	@cp $@ $(LIBDIR)/$@.$(VDRVERSION)
+	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
 
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)

=== debian/changelog ===
vdr-plugin-prefermenu (0.6.6-37build1) saucy; urgency=low

  * Rebuild for vdr-abi-2.0.0-debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 19 May 2013 23:36:08 +0100

vdr-plugin-prefermenu (0.6.6-37) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.28)

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Jun 2012 18:15:03 +0200

vdr-plugin-prefermenu (0.6.6-36) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.27)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Apr 2012 23:03:20 +0200

vdr-plugin-prefermenu (0.6.6-35) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.26)
  * Standards-Version: 3.9.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 25 Mar 2012 12:19:44 +0200

vdr-plugin-prefermenu (0.6.6-34) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.23)

 -- Tobias Grimm <etobi@debian.org>  Sun, 29 Jan 2012 19:05:22 +0100

vdr-plugin-prefermenu (0.6.6-33) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.22)

 -- Tobias Grimm <etobi@debian.org>  Sun, 11 Dec 2011 17:16:41 +0100

vdr-plugin-prefermenu (0.6.6-32) unstable; urgency=low

  * Switched to GIT using pristine tar

 -- Tobias Grimm <etobi@debian.org>  Sat, 29 Oct 2011 20:11:02 +0200

vdr-plugin-prefermenu (0.6.6-31) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.21)

 -- Tobias Grimm <etobi@debian.org>  Sun, 18 Sep 2011 18:23:56 +0200

vdr-plugin-prefermenu (0.6.6-30) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.20)
  * Standards-Version: 3.9.2

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Aug 2011 15:13:52 +0200

vdr-plugin-prefermenu (0.6.6-29) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.18)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2011 20:06:47 +0200

vdr-plugin-prefermenu (0.6.6-28) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.7.17
  * Updated debian/copyright
  * Standards-Version: 3.9.1
  * Switched to debhelper 7 and dropped cdbs

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Apr 2011 13:45:49 +0200

vdr-plugin-prefermenu (0.6.6-27) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.6.0-16
  * Bumped standards version to 3.8.4
  * Minor debian/copyright update

 -- Tobias Grimm <etobi@debian.org>  Sun, 28 Mar 2010 15:11:54 +0200

vdr-plugin-prefermenu (0.6.6-26) unstable; urgency=low

  * Removed non-standard shebang line from debian/rules (Closes: #552651)
  * Added README.source
  * Standards-Version: 3.8.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 08 Nov 2009 23:58:10 +0100

vdr-plugin-prefermenu (0.6.6-25) unstable; urgency=low

  * Release for vdrdevel 1.7.6
  * Added ${misc:Depends}
  * Bumped standards version to 3.8.1
  * Updated debian/copyright
  * Changed section to "video"

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 29 Apr 2009 23:11:01 +0200

vdr-plugin-prefermenu (0.6.6-24) unstable; urgency=low

  [ Tobias Grimm ]
  * Dropped patchlevel control field
  * Build-Depend on vdr-dev (>=1.6.0-5)
  * Bumped Standards-Version to 3.8.0

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 19 Jul 2008 18:08:02 +0200

vdr-plugin-prefermenu (0.6.6-23) unstable; urgency=low

  * Upload to unstable

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 08 Jun 2008 23:49:36 +0200

vdr-plugin-prefermenu (0.6.6-22) experimental; urgency=low

  * Increased package version to force rebuild for vdr 1.6.0-1ctvdr7

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 12 May 2008 13:06:30 +0200

vdr-plugin-prefermenu (0.6.6-21) experimental; urgency=low

  [ Thomas Schmidt ]
  * Build-Depend on vdr-dev (>=1.6.0)
  * Switched Build-System to cdbs, Build-Depend on cdbs
  * Added Homepage field to debian/control
  * Renamed XS-Vcs-* fields to Vcs-* in debian/control
  * Bumped Standards-Version to 3.7.3
  * Updated years in debian/copyright

  [ Tobias Grimm ]
  * Using COMPAT=5 now

 -- Tobias Grimm <tg@e-tobi.net>  Fri, 04 Apr 2008 13:34:05 +0200

vdr-plugin-prefermenu (0.6.6-20) experimental; urgency=low

  * Force rebuild for vdr 1.5.15

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 18 Feb 2008 21:08:37 +0100

vdr-plugin-prefermenu (0.6.6-19) unstable; urgency=low

  * Release for vdrdevel 1.5.13

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 16 Jan 2008 10:31:36 +0100

vdr-plugin-prefermenu (0.6.6-18) unstable; urgency=low

  * Release for vdrdevel 1.5.12

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 20 Nov 2007 23:46:25 +0100

vdr-plugin-prefermenu (0.6.6-17) unstable; urgency=low

  * Release for vdrdevel 1.5.11

 -- Thomas Günther <tom@toms-cafe.de>  Tue,  6 Nov 2007 23:34:18 +0100

vdr-plugin-prefermenu (0.6.6-16) unstable; urgency=low

  * Release for vdrdevel 1.5.10

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 16 Oct 2007 23:50:58 +0200

vdr-plugin-prefermenu (0.6.6-15) unstable; urgency=low

  * Replaced 90_prefermenu-0.6.6-1.5.3.dpatch with
    90_prefermenu-0.6.6-1.5.3+SetAreas-bugfix.dpatch
  * Added full license disclaimer and copyright years to debian/copyright

 -- Thomas Günther <tom@toms-cafe.de>  Thu, 27 Sep 2007 22:58:30 +0200

vdr-plugin-prefermenu (0.6.6-14) unstable; urgency=low

  * Release for vdrdevel 1.5.9

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 28 Aug 2007 01:01:09 +0200

vdr-plugin-prefermenu (0.6.6-13) unstable; urgency=low

  * Release for vdrdevel 1.5.8

 -- Thomas Günther <tom@toms-cafe.de>  Thu, 23 Aug 2007 01:09:06 +0200

vdr-plugin-prefermenu (0.6.6-12) unstable; urgency=low

  * Release for vdrdevel 1.5.6

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 14 Aug 2007 01:46:18 +0200

vdr-plugin-prefermenu (0.6.6-11) unstable; urgency=low

  * Added 90_prefermenu-0.6.6-1.5.3.dpatch

 -- Thomas Günther <tom@toms-cafe.de>  Thu,  5 Jul 2007 01:59:53 +0200

vdr-plugin-prefermenu (0.6.6-10) unstable; urgency=low

  * Release for vdrdevel 1.5.5

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 27 Jun 2007 23:02:41 +0200

vdr-plugin-prefermenu (0.6.6-9) unstable; urgency=low

  * Added XS-Vcs-Svn and XS-Vcs-Browser fields to debian/control
  * Removed version from Build-Dependancy to dpatch - even Sarge has the
    required version



=== debian/control ===
Source: vdr-plugin-prefermenu
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.28)
Standards-Version: 3.9.3
Homepage: http://www.olivierjacques.com/vdr/prefermenu/
Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-prefermenu.git
Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-prefermenu.git

Package: vdr-plugin-prefermenu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR plugin that implements a preferred channels menu
 This plugin for VDR implements a preferred channels menu.
 It makes it easy to switch to your favourite chanels.

=== debian/watch ===
version=2
http://famillejacques.free.fr/vdr/prefermenu/vdr-prefermenu-(.*).tgz
